package com.lanyuanxiaoyao.service.sync.configuration;

import dev.failsafe.RetryPolicy;
import java.time.Duration;

public interface RetryPolicyProvider {
    RetryPolicy<String> HTTP_RETRY = RetryPolicy.<String>builder()
            .handle(Throwable.class)
            .withDelay(Duration.ofSeconds(1))
            .withMaxAttempts(10)
            .build();
}
